Package org.eclipse.pde.ui.launcher

## Class JUnitWorkbenchLaunchShortcut

- java.lang.Object
- - org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut
  - - org.eclipse.pde.ui.launcher.JUnitWorkbenchLaunchShortcut

All Implemented Interfaces:
  `ILaunchShortcut`, `ILaunchShortcut2`

    public class JUnitWorkbenchLaunchShortcut
    extends JUnitLaunchShortcut

A launch shortcut capable of launching a Plug-in JUnit test.

This class may be instantiated or subclassed by clients.

Since:
  3.3

### Constructor Summary

Constructors
`JUnitWorkbenchLaunchShortcut()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ILaunchConfigurationWorkingCopy` `createLaunchConfiguration​(IJavaElement element)`
`protected String` `getLaunchConfigurationTypeId()`

### Methods inherited from class org.eclipse.jdt.junit.launcher.JUnitLaunchShortcut

`createLaunchConfiguration, getAttributeNamesToCompare, getLaunchableResource, getLaunchableResource, getLaunchConfigurations, getLaunchConfigurations, launch, launch, suggestLaunchConfigurationName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitWorkbenchLaunchShortcut

    public JUnitWorkbenchLaunchShortcut()

### Method Detail

#### getLaunchConfigurationTypeId

    protected String getLaunchConfigurationTypeId()

Overrides:
  `getLaunchConfigurationTypeId` in class `JUnitLaunchShortcut`

#### createLaunchConfiguration

    protected ILaunchConfigurationWorkingCopy createLaunchConfiguration​(IJavaElement element)
                                                                 throws CoreException

Overrides:
  `createLaunchConfiguration` in class `JUnitLaunchShortcut`
Throws:
  `CoreException`